<?php

/**
 * Project:     Ant: sources.list generator
 * File:        classic.php
 *
 * This application is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This application is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */


require_once dirname(__FILE__)."/lib/init.php";
$ID = $_GET["id"];

list($dist,$vers,$reps) = split(",",$ID);

if ($ID!='') {

	if ($reps!="") {
		$getreps = array();
		$getreps = split("-",$reps);
		$result = $core->getSourceList($dist,$vers,$getreps,$db);
	} else {
		$result = $core->getRepListLegacy($dist,$vers,$db);
	}

	$HTTPHeader1 = "Content-type: text/plain";
	$HTTPHeader2 = "Content-length: ".strlen($result);
	$HTTPHeader3 = "Content-disposition: attachment; filename=sources.list\n\n";

	header($HTTPHeader1);
	header($HTTPHeader2);
	header($HTTPHeader3);
	print $result;

} else {

	header("Location: ./");

}

?>
